//--------------------------------------------------------------------------------------
// Global variables
//--------------------------------------------------------------------------------------
float4x4 	g_vlp;

//--------------------------------------------------------------------------------------
// Texture samplers
//--------------------------------------------------------------------------------------

//--------------------------------------------------------------------------------------
// Vertex shader
//--------------------------------------------------------------------------------------
void BasicShadowBufVS( 	float4 in_pos : POSITION,
						out float4 out_pos : POSITION,
						out float4 out_depth : TEXCOORD0)
{	
	// Wϊ
	out_pos = mul(in_pos, g_vlp);

	// ʒȕo
	out_depth  = out_pos;
}


//--------------------------------------------------------------------------------------
// Pixel shader
//--------------------------------------------------------------------------------------
void BasicShadowBufPS(	float4 in_depth : TEXCOORD0,
						out float4 color : COLOR)
{
	// sNZ̐[xvZďo
	color  = float4(in_depth.z / in_depth.w,0,0,1);
}

//--------------------------------------------------------------------------------------
// Pixel shader
//--------------------------------------------------------------------------------------
technique BasicTech
{
    pass P0
    {
        VertexShader = compile vs_2_0 BasicShadowBufVS();
        PixelShader  = compile ps_2_0 BasicShadowBufPS();
	}
}
